regina::detail::EulerCalculator< dim, subdim > Struct Template Reference
Implementation details

Internal class used to calculate the Euler characteristic of a triangulation. More...

`#include <triangulation/detail/triangulation.h>`

## Static Public Member Functions

static long | compute (const TriangulationBase< dim > &tri)
| Computes the alternating sum of the number of faces of tri of dimensions subdim, ..., dim. More...

## Detailed Description

### template<int dim, int subdim>
struct regina::detail::EulerCalculator< dim, subdim >

Internal class used to calculate the Euler characteristic of a triangulation.

Specifically, this class calculates the alternating sum of the number of faces of dimensions subdim, ..., dim within a dim-dimensional triangulation.

Template Parameters

  dim | the dimension of the underlying triangulation.
  subdim | the minimum dimension of the faces to consider.

The documentation for this struct was generated from the following file:

- triangulation/detail/triangulation.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).